#include "golds.inc"

#declare wood_handle = sor {
17,
<0,0>
<0.2, 0>
<0.2,0.01>
<0.21,0.05>
<0.215, 0.1>
<0.3, 0.3>
<0.4, 0.5>  //0.4
<0.415,0.6>
<0.425, 0.7>
<0.45, 0.85>
<0.425, 1>
<0.35, 1.3>
<0.3, 1.5>
<0.25, 1.7> //control pt
<0.2, 1.9>
<0.2, 2>
<0,2>
sturm
texture { pigment { DMFWood3 } scale 14 }
}

#declare hilt_side = difference {
box { <0.2,-0.3,-0.1> <1.5,0.9,0.1> }     //main box
box { <0,-0.31,-0.3> <1.8,0.91,0>         //angle main box , front
     rotate y*-2 
     translate <0.2,0,-0.1> }
box { <0,-0.31,-0.3> <1.8,0.91,0>         //angle main box , back
     translate z*-0.3
     rotate y*2 
     translate <0.2,0,0.1> }
cylinder { <0.7,1.5,0.2> <0.7,1.5,-0.2>, 1 }  //top main cut
cylinder { <-0.3,1.3,0.2> <-0.3,1.3,-0.2>, 1.1 } //top small cut
box { <0,0,-0.2> <0.6,-0.5,0.2>                //right box cut 
     rotate z*-37
     translate <0.7,0.1,0> }
box { <-0.6,-0.5,-0.2> <0,0,0.2>                //left box cut
     rotate z*11
     translate <0.7,0.1,0> }
box { <0.975,0.1,-0.2> <1.025,0.4,0.2> }     //cross vertical
box { <0.85,0.225,-0.2> <1.15,0.275,0.2> }   //cross horizontal
clipped_by { cylinder { <-0.2,0.7,-0.2> <-0.2,0.7,0.2>, 1.6 } }

}

#declare hilt = union {
difference {
box { <-0.2,0,-0.2> <0.2,0.3,0.2> }            //middle of hilt
box { <0,-0.1,-0.4> <0.4,0.3,0>
     rotate y*-27
     translate z*-0.2 }
box { <0,-0.1,-0.4> <0.4,0.3,0>
      translate x*-0.4
      rotate y*27
      translate z*-0.2 }
box { <0,-0.1,-0.4> <0.4,0.3,0>
      translate z*0.4
      rotate y*27
      translate z*0.2 }
box { <0,-0.1,-0.4> <0.4,0.3,0>
      translate <-0.4,0,0.4>
      rotate y*-27
      translate z*0.2 }
}
object { hilt_side }
object { hilt_side
         rotate y*180 }
texture { pigment { color rgb <0.301,0.301,0.301> } 
          finish {ambient 0.25
                  brilliance 4
                  diffuse 0.5
                  metallic 
                  specular 0.8
                  roughness 1/20
                  reflection 0.1 } }
}

#declare blade_side = union {
triangle { <0.2,0.3,0>   //right blade edge
           <0,1.9,-0.1>
           <0.4,1.9,0>} 
triangle { <0.2,0.3,0>    //middle right
           <0,0.3,-0.025>
           <0,1.9,-0.1>}
triangle { <-0.2,0.3,0>  //middle left
           <0,0.3,-0.025>
           <0,1.9,-0.1>}
triangle { <-0.2,0.3,0>  //left blade edge
           <0,1.9,-0.1>
           <-0.4,1.9,0>}
triangle { <0,1.9,-0.1> //top blade edge left
           <0,5.4,0>
           <-0.4,1.9,0>}
triangle { <0,1.9,-0.1>   //top blade edge right
           <0,5.4,0>
           <0.4,1.9,0>}
texture { pigment { color rgb <0.401,0.401,0.401> } 
          finish {ambient 0.25
                  brilliance 4
                  diffuse 0.5
                  metallic 
                  specular 0.8
                  roughness 1/20
                  reflection 0.1 } }
}

#declare dagger = union {
object { wood_handle }
cylinder { <0,0,0> <0,-0.2,0>, 0.2          //bottom gold band 
           texture { pigment { color Gold }
                     finish { F_MetalA } 
                   }
         }
cylinder { <0,2,0> <0,2.1,0> 0.2                //top gold band  
           texture { pigment { color Gold }
                     finish { F_MetalA } 
                   }
         }
difference {                                   //bottom black band 
cylinder { <0,-0.2,0> <0,-0.3,0>, 0.2 }
difference {
cylinder { <0,-0.225,0> <0,-0.325,0>, 0.3 }
cylinder { <0,-0.224,0> <0,-0.326,0>, 0.275 }
}
pigment { color Black }
}
sphere { <0,0,0> 0.25                          //bottom sphere 
        translate y*-0.45
pigment { color Black } }
sphere { <0,0,0> 0.05
        translate y*-0.75
pigment { color Black } }

object { hilt
         translate y*2.1 }

object { blade_side
         translate y*2.1 }
scale 1/14
} 