#include "stair.inc"

#declare cut_panel = difference {          //scaled up * 3
box { <-0.45,-1.5,-0.15> <0.45,1.5,0.15> } //main
box { <-0.05,0,-0.2> <0.05,0.9,0.2> }      //main down
box { <-0.35,0.5,-0.2> <0.35,0.6,0.2> }    //main across
texture { pigment { DMFWood5 } }
}

#declare panel = union {
box { <-0.1,0,-0.05> <0.1,1,0.05> }
box { <-0.15,0,-0.05> <0.15,1,0.05> translate x*-0.35 }
object { cut_panel
         scale 1/3
         translate<-.75,0.5,0> }
box { <-0.15,0,-0.05> <0.15,1,0.05> translate x*-1.15 }
box { <-1.4,1,-0.075> <0.1,1.1,0.075> }
texture { pigment { DMFWood5 } scale 1/3}
}

#declare Shield = union {                   //blue
box { <-0.35,0,-0.025> <0.35,0.1,0.025> }
cylinder { <0,0,-0.025> <0,0,0.025> 1
	  scale <0.35,1,1> }
union {
box { <-0.05,-0.8,-0.02501> <0.05,0,0> } //main down
box { <-0.25,-0.3,-0.02501> <0.25,-0.2,0> } //main acr
texture { pigment { color rgb<0.5,0.5,0> }
          normal { bumps 0.025 scale 0.2 }
        }
}
clipped_by { box { <-0.35,-1,-0.026> <0.35,0.1,0.025> } }
texture { pigment { color rgb<0,0,0.5> }
          normal { bumps 0.025 scale 0.2 }
        }
}

#declare Shield1 = union {                  //red
box { <-0.35,0,-0.025> <0.35,0.1,0.025> }
cylinder { <0,0,-0.025> <0,0,0.025> 1
	  scale <0.35,1,1> }
union {
box { <-0.05,-0.8,-0.02501> <0.05,0,0> } //main down
box { <-0.25,-0.3,-0.02501> <0.25,-0.2,0> } //main acr
texture { pigment { color rgb<0.5,0.5,0> }
          normal { bumps 0.025 scale 0.2 }
        }
}
clipped_by { box { <-0.35,-1,-0.026> <0.35,0.1,0.025> } }
texture { pigment { color rgb <0.5,0,0> }
          normal { bumps 0.025 scale 0.2 }
        }
}

#declare Support = union {
box { <-1.166,-0.1,-0.05> <1.166,0.1,0.05> //main diagonal
translate x*-1.166 
rotate z*33.69 
translate <-2.35,3.35,-2.35> }
box { <-0.1,0,-0.15> <0.1,0.1,0.15>        //horizontal support 
     rotate y*-90
     translate<-2.35,3.4,-2.35> }
box { <-0.1,0,-0.15> <0.1,0.1,0.15>        //vert support 
     rotate <0,90,90>
     translate<-3.95,2.3,-2.35> }
texture { pigment { DMFWood5 } scale 1/3 }
}

#declare Support1 = union {
box { <-1.166,-0.1,-0.05> <1.166,0.1,0.05> //main diagonal
translate x*-1.166 
rotate z*33.69//45 
translate <-2.35,3.4,-2.35> }
box { <-0.17,0,-0.1> <0.17,-0.05,0.1>        //horizontal support 
     translate<-2.35,3.4,-2.35> }
box { <0,-0.17,-0.1> <0.05,0.17,0.1>        //vert support 
     translate<-4,2.3,-2.35> } //1.75
texture { pigment { DMFWood5 } scale 1/3 }
}

#declare gallery = union {

union {
difference {
box { <-5.5,0,-2.1> <5.5,0.1,0> }       //gallery upper
cylinder { <4.5,-0.1,-1> <4.5,0.2,-1> 1 } 
}
box { <3.5,0,-1> <5.5, 0.1, 0> } 
texture { pigment { DMFWood5 } scale 1/3 }
rotate y*-90
translate <-4,3.4,-5.5>
}
/*
union { 
cylinder { <4.5,-0.1,-0.8> <4.5,1.2,-0.8> 0.045 }    //back row
cylinder { <4.25,-0.1,-0.8> <4.25,1.2,-0.8> 0.045 }
cylinder { <4,-0.1,-0.8> <4,1.2,-0.8> 0.045 }
cylinder { <3.75,-0.1,-0.8> <3.75,1.2,-0.8> 0.045 }
cylinder { <3.5,-0.1,-0.8> <3.5,1.2,-0.8> 0.045 }
box { <3.5,1.2,-0.85> <4.5,1.3,-0.75> }

texture { pigment { DMFWood3 } scale 1/3 }
rotate y*-90
translate <-4,3.4,-5.5>
}
*/

object { panel
	 rotate y*-90
         translate<-2.05,3.5,-0.1> }
object { panel
	 rotate y*-90
         translate<-2.05,3.5,-1.6> }
object { panel
	 rotate y*-90
         translate<-2.05,3.5,-3.1> }

object { Shield
         scale<0.5454,0.5454,1>
         rotate y*-90
         translate<-1.975,4.3,-1.6> }

object { Shield1
         scale<0.5454,0.5454,1>
         rotate y*-90
         translate<-1.975,4.3,-3.1> }

object { Support1 translate z*0.35 }
object { Support1 }
object { Support1 translate z*-0.35 }
object { Support1 translate z*-0.7 }
object { Support1 translate z*-1.05 }
object { Support1 translate z*-1.4 }
object { Support1 translate z*-1.75 }

object {stair                     //spiral stair case
        rotate y*-90
	translate<-3,0,-1> }

}